com.r3corda.core.schemas / MappedSchema

# MappedSchema

`abstract class MappedSchema`

A database schema that might be configured for this node. As well as a name and version for identifying the schema, also list the classes that may be used in the generated object graph in order to configure the ORM tool.

### Parameters

`schemaFamily` - A class to fully qualify the name of a schema family (i.e. excludes version)
`version` - The version number of this instance within the family.
`mappedTypes` - The JPA entity classes that the ORM layer needs to be configure with for this schema.

### Constructors

<init> | `MappedSchema(schemaFamily: Class<*>, version: Int, mappedTypes: Iterable<Class<*>>)` A database schema that might be configured for this node. As well as a name and version for identifying the schema, also list the classes that may be used in the generated object graph in order to configure the ORM tool.

### Properties

mappedTypes | `val mappedTypes: Iterable<Class<*>>`
name | `val name: String`
version | `val version: Int`

### Functions

toString | `open fun toString(): String`

### Inheritors

CashSchemaV1 | `object CashSchemaV1 : MappedSchema` First version of a cash contract ORM schema that maps all fields of the Cash contract state as it stood at the time of writing.
CommercialPaperSchemaV1 | `object CommercialPaperSchemaV1 : MappedSchema` First version of a commercial paper contract ORM schema that maps all fields of the CommercialPaper contract state as it stood at the time of writing.